%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-Simple

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	XML::Simple - Easy API to read/write XML (esp config files).
Name:		perl-%{perlname}
Version:	2.18
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=XML+Simple
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	perl-XML-NamespaceSupport
Requires:	perl-XML-Parser
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-XML-NamespaceSupport
BuildRequires:	perl-XML-Parser

%description
XML::Simple - Easy API to read/write XML (esp config files).

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir
%_mandir

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.18-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.14-5
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.14-4
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.14-3
- removed wrong vendor flag
* Sat Nov 19 2005 Christian Wasem <wasem@ccux-linux.de> 2.14-2
- tweaked specfile
* Fri Nov 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.14-1
- Initial Build
